//
//  OverrideViewController.m
//  AdaptiveLayout
//
//  Created by Gene Whitaker on 9/11/14.
//  Copyright (c) 2014 Bombing Brain Interactive. All rights reserved.
//

#import "OverrideViewController.h"

@interface OverrideViewController ()
@property (weak, nonatomic) IBOutlet UIView *notesView;
@property (weak, nonatomic) IBOutlet NSLayoutConstraint *notesBottomConstraint;
@property (weak, nonatomic) IBOutlet NSLayoutConstraint *notesTrailingConstraint;

@end

@implementation OverrideViewController

//UN-COMMENT the method below to see an example of responding to changes in trait collection ("Complex Adaptive Layout" example)
// this code changes how the setlist/notes container view animates during and after the transition to the new size class
// this code only works on regular width devices (iPad and maybe iPhone 6+)

//-(void)willTransitionToTraitCollection:(UITraitCollection *)newCollection withTransitionCoordinator:(id<UIViewControllerTransitionCoordinator>)coordinator {
//
//    [super willTransitionToTraitCollection:newCollection withTransitionCoordinator:coordinator];
//
//    if ((self.traitCollection.horizontalSizeClass == UIUserInterfaceSizeClassRegular && newCollection.verticalSizeClass == UIUserInterfaceSizeClassCompact) ||
//        (self.traitCollection.horizontalSizeClass == UIUserInterfaceSizeClassRegular && newCollection.verticalSizeClass == UIUserInterfaceSizeClassRegular)) {
//
//        self.notesBottomConstraint.constant = -self.notesView.frame.size.height;
//        self.notesTrailingConstraint.constant = -self.notesView.frame.size.width;
//
//
//        [coordinator animateAlongsideTransition:^(id <UIViewControllerTransitionCoordinatorContext> context) {
//            [self.view layoutIfNeeded];
//        } completion:^(id<UIViewControllerTransitionCoordinatorContext> context)  {
//
//            self.notesBottomConstraint.constant = 0;
//            self.notesTrailingConstraint.constant = 0;
//            [UIView animateWithDuration:.4 delay:0 options:UIViewAnimationOptionCurveEaseOut animations:^{
//                [self.view layoutIfNeeded];
//            }
//            completion:nil];
//        }];
//    }
//
//}

- (IBAction)done:(id)sender {
    if (self.delegate && [self.delegate respondsToSelector:@selector(overrideViewControllerDone)]) {
        [self.delegate overrideViewControllerDone];
    }
}

@end
